RQWORKER(1)

NAME
rqworker - Command line monitor to start an RQ worker.

SYNOPSIS
rqworker [OPTIONS] [QUEUES]...

DESCRIPTION

    rqworker is a command-line monitor to start an RQ worker. It is part of python-rq module package. A worker is a Python process that typically runs in the background and exists solely as a work horse to perform lengthy or blocking tasks that you don’t want to perform inside web processes.

OPTIONS

-b, --burst
    Run in burst mode (quit after all work is done)

--logging_level TEXT
    Set logging level

--log-format TEXT
    Set the format of the logs

--date-format TEXT
    Set the date format of the logs

-n, --name  TEXT
    Specify a different name

--results-ttl INTEGER
    Default results timeout to be used

--worker-ttl INTEGER
    Default worker timeout to be used

--maintenance-interval-ttl INTEGER
    Maintenance task interval (in seconds) to be used

--job-monitoring-interval INTEGER
    Default job monitoring interval to be used

--disable-job-desc-logging
    Turn off description logging.

-v, --verbose
    Show more output

-q, --quiet
    Show less output

--sentry-ca-certs TEXT
    Path to CRT file for Sentry DSN

--sentry-debug TEXT
    Enable debug

--sentry-dsn  TEXTR
    Report exceptions to this Sentry DSN

--exception-handler TEXT
    Exception handler(s) to use

--pid  TEXT
    Write the process ID number to a file at the specified path

-d, --disable-default-exception-handler
    Disable RQ's default exception handler

--max-jobs INTEGER
    Maximum number of jobs to execute

--max-idle-time INTEGER
    Maximum seconds to stay alive without jobs to execute

-s, --with-scheduler
    Run worker with scheduler

-S, --serializer TEXT
    Run worker with custom serializer

-ds, --dequeue-strategy TEXT
    Sets a custom stratey to dequeue from multiple queues

-S, --serializer TEXT
    Path to serializer, defaults to rq.serializers.DefaultSerializer

-P, --path TEXT
    Specify the import path.

--connection-class TEXT
    Redis client class to use

--queue-class TEXT
    RQ Queue class to use

-j, --job-class TEXTRQ Job class to use

-w, --worker-class TEXT
    RQ Worker class to use

-c, --config TEXT
    Module containing RQ settings.

-u, --url TEXT
    URL describing Redis connection details.

--help
    Show help message and exit.

SEE ALSO
rq(1), rqinfo(1),
Full rq documentation (https://python-rq.org/docs/)